BridgePatternConverter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class BridgePatternConverter

    java.lang.Object
      org.apache.log4j.helpers.PatternConverter
          org.apache.log4j.pattern.BridgePatternConverter

    public final class BridgePatternConverter

extends PatternConverter

The class implements the pre log4j 1.3 org.apache.log4j.helpers.PatternConverter contract by delegating to the log4j 1.3 pattern implementation.

Author:
  Curt Arnold

Field Summary

Fields inherited from class org.apache.log4j.helpers.PatternConverter
`next`

Constructor Summary
`BridgePatternConverter(String pattern)` Create a new instance.

Method Summary
`protected String` | `convert(LoggingEvent event)` Derived pattern converters must override this method in order to convert conversion specifiers in the correct way.
`void` | `format(StringBuffer sbuf, LoggingEvent e)` Format event to string buffer.
`boolean` | `ignoresThrowable()` Will return false if any of the conversion specifiers in the pattern handles `Exceptions`.

Methods inherited from class org.apache.log4j.helpers.PatternConverter
`spacePad`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgePatternConverter

    public BridgePatternConverter(String pattern)

  Create a new instance.

  Parameters:
    `pattern` - pattern, may not be null.

Method Detail

### convert

    protected String convert(LoggingEvent event)

  Derived pattern converters must override this method in order to convert conversion specifiers in the correct way.

  Specified by:
    `convert` in class `PatternConverter`

### format

    public void format(StringBuffer sbuf,
                       LoggingEvent e)

  Format event to string buffer.

  Overrides:
    `format` in class `PatternConverter`
  Parameters:
    `sbuf` - string buffer to receive formatted event, may not be null.
    `e` - event to format, may not be null.

### ignoresThrowable

    public boolean ignoresThrowable()

  Will return false if any of the conversion specifiers in the pattern handles `Exceptions`.

  Returns:
    true if the pattern formats any information from exceptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.